package it.enea.cruise.repositories;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;

import it.enea.cruise.model.user.Role;

public interface RoleRepository extends JpaRepository<Role, Long>{

	List<Role> findAllByDescription(String description);
	
	List<Role> findAllById(Long id);
	
	Optional<Role> findById(Long id);
	
	Role getById(Long id);
	
	Role findByRolename(String rolename);
	
	List<Role> findAll();
	
}
